## Adafruit SHT40, SHT41, and SHT45 Temperature & Humidity Sensor PCBs

<a href="http://www.adafruit.com/products/4885"><img src="assets/4885.jpg?raw=true" width="500px"><br/>
Click here to purchase the SHT40 from the Adafruit shop</a>

<a href="http://www.adafruit.com/products/5776"><img src="assets/5776.jpg?raw=true" width="500px"><br/>
Click here to purchase the SHT41 from the Adafruit shop</a>

<a href="http://www.adafruit.com/products/5665"><img src="assets/5665.jpg?raw=true" width="500px"><br/>
Click here to purchase the SHT45 from the Adafruit shop</a>

PCB files for the Adafruit SHT40, SHT41, and SHT45 Temperature & Humidity Sensors. 

Format is EagleCAD schematic and board layout
* https://www.adafruit.com/product/4885
* https://www.adafruit.com/product/5665
* https://www.adafruit.com/product/5776

### Description



Sensirion Temperature/Humidity sensors are some of the finest & highest-accuracy devices you can get. And finally, we have some that have a true I2C interface for easy reading. The SHT40, SHT41, and SHT45 sensors are the fourth generation (started at the SHT10 and worked its way up to the top!).

The SHT40 has an excellent ±1.8% typical relative humidity accuracy from 25 to 75% and ±0.2 °C typical accuracy from 0 to 75 °C.

The SHT41 has an excellent ±1.8% typical relative humidity accuracy from 25 to 75% and ±0.2 °C typical accuracy from 0 to 75 °C.

The SHT45 has an even more excellent ±1% typical relative humidity accuracy from 25 to 75% and ±0.1 °C typical accuracy from 0 to 75 °C.

Other than these differences in relative humidity and temperature accuracy, there is no discernible difference between these two chips. The I2C addresses and code are identical for both. So, how do you know which one you have? The text on the board indicates which breakout you have.

Unlike some earlier SHT sensors, this sensor has a true I2C interface for easy interfacing with only two wires (plus power and ground!). Thanks to the voltage regulator and level shifting circuitry we've included on the breakout It is also is 3V or 5V compliant, so you can power and communicate with it using any microcontroller or microcomputer.

Such a lovely chip - so we spun up a breakout board with the SHT4x and some supporting circuitry such as pullup resistors and capacitors. To make things even easier, we've included SparkFun Qwiic compatible STEMMA QT connectors for the I2C bus so you don't even need to solder! QT Cable is not included, but we have a variety in the shop.

If you prefer working on a breadboard, each order comes with one fully assembled and tested PCB breakout and a small piece of header. You'll need to solder the header onto the PCB, but it's fairly easy and takes only a few minutes even for a beginner.

We've written both Arduino and CircuitPython/Python library code for this chip, so you can use it with just about any microcontroller or single-board computer like Raspberry Pi.

### License

Adafruit invests time and resources providing this open source design, please support Adafruit and open-source hardware by purchasing products from [Adafruit](https://www.adafruit.com)!

Designed by Limor Fried/Ladyada for Adafruit Industries.

Creative Commons Attribution/Share-Alike, all text above must be included in any redistribution. 
See license.txt for additional details.
